> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuddles.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a patient

> Retrieves a single patient based on the ID provided



## OpenAPI

````yaml GET /patients/{id}
openapi: 3.0.1
info:
  title: Cuddles API v1
  description: Cuddles v1 stable
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.cuddles.care/v1
security:
  - bearerAuth: []
paths:
  /patients/{id}:
    get:
      description: Retrieves a single patient based on the ID provided
      parameters:
        - name: id
          in: path
          description: ID of patient to retrieve
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Retrieves a single patient
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Patient'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Patient:
      type: object
      example:
        firstName: Kitti
        lastName: Slane
        weight: 10
        dob: '2021-11-28'
        ownedDate: '2022-01-12'
        gender: Male
        species: Cat
        breedNature: Pure
        sireName: Oreo
        damName: Lucy
        otherOrigin: null
        color: Orange,Black
        microchip: '#979007FOF'
        description: >-
          Toyger cats are medium-sized, tiger-spotted, exceptionally rare
          short-haired cats. Much of the toyger's appeal lies in its wild
          tiger-like appearance while being a domesticated cat.
        breed: Toyger
        origin: Pet Shop
        coatType: Smooth
        coatLength: Short
        petName: Kitti Slane
        images:
          primary:
            id: 5dfa0577-7c61-4258-aaf7-9359c2151b5d
            type: image
          default: default-cat.svg
        geoLocation:
          lon: -95.6630612
          lat: 29.5766453
        patientName: Kitti Slane
        location:
          streetAddress: 6518 Monrovia Ln
          aptSuiteOther: null
          city: Sugar Land
          state: Texas
          zip: 77479
          country: USA
          neighborhood: null
          county: Fort Bend County
        type: patient
        id: cf7eb4b6-8c9b-4b74-87f2-fb2b938103a9
    Error:
      required:
        - status
        - message
      type: object
      properties:
        status:
          type: integer
          example: 400
        message:
          type: string
        code:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.